#include <SPI.h>
#include "Ra8876_Lite.h"
#include "pic16bpp_byte.h"
#include "pic16bpp_word.h"
#define RA8876_CS 10
#define RA8876_RESET 8
#define BACKLITE 5 //External backlight control connected to this Arduino pin

Ra8876_Lite ra8876lite = Ra8876_Lite(RA8876_CS, RA8876_RESET); //Using standard SPI pins

void setup() {
   unsigned long i;

   Serial.begin(9600);
   Serial.println("RA8876 Lite");

   pinMode(BACKLITE, OUTPUT);
   digitalWrite(BACKLITE, HIGH);
   
   delay(100);
   if (!ra8876lite.begin()) 
   {
   Serial.println("RA8876 or RA8877 Fail");
   while (1);
   }
   Serial.println("RA8876 or RA8877 Pass!");
   
   ra8876lite.displayOn(true);

  ra8876lite.setRotation(0);
  ra8876lite.drawSquareFill(0, 0, 1023, 599, BLUE);
  ra8876lite.putPicture_16bpp(50,50,128,128);
  for(i=0;i<16384;i++)
  {
   ra8876lite.lcdDataWrite16bbp(RED);//RGB565 16bpp data
  }
  ra8876lite.putPicture_16bpp(50+128,50+128,128,128,pic16bpp_byte);
  ra8876lite.putPicture_16bpp(50+128+128,50+128+128,128,128,pic16bpp_word);
  delay(3000);
  
  //(2) 180 degrees
  ra8876lite.setRotation(1);
  ra8876lite.drawSquareFill(0, 0, 1023, 599, BLUE);
  ra8876lite.putPicture_16bpp(50,50,128,128);
  for(i=0;i<16384;i++)
  {
   ra8876lite.lcdDataWrite16bbp(COLOR65K_YELLOW);//RGB565 16bpp data
  }
  ra8876lite.putPicture_16bpp(50+128,50+128,128,128,pic16bpp_byte);
  ra8876lite.putPicture_16bpp(50+128+128,50+128+128,128,128,pic16bpp_word);
  delay(3000);

  ra8876lite.setRotation(3);
  ra8876lite.drawSquareFill(0, 0, 1023, 599, BLUE);
  ra8876lite.putPicture_16bpp(50,50,128,128);
  for(i=0;i<16384;i++)
  {
   ra8876lite.lcdDataWrite16bbp(RED);//RGB565 16bpp data
  }
  ra8876lite.putPicture_16bpp(50+128,50+128,128,128,pic16bpp_byte);
  ra8876lite.putPicture_16bpp(50+128+128,50+128+128,128,128,pic16bpp_word);
  delay(3000);
  
  //ra8876lite.drawSquareFill(0, 0, 1023, 599, BLUE);
  //ra8876lite.drawSquareFill(100, 400, 400, 200, GREEN);
}

void loop() {
}
